package com.liquidnet.service.bank.feign;
import com.liquidnet.service.ResponseDto;
import com.liquidnet.service.bank.currencycloud.dto.BankCcConversionDto;
import com.liquidnet.service.bank.currencycloud.entity.BankCcPayment;
import com.liquidnet.service.bank.currencycloud.entity.BankCcTransaction;

public interface IBankFeignAdamTransactionService {
    ResponseDto pushNotifyBankCcFunding(BankCcTransaction funding);

    ResponseDto pushNotifyBankCcConversion(BankCcConversionDto conversionDto);

    ResponseDto pushNotifyBankCcPayment(BankCcPayment payment);

}
